library xfxwidgets;

import 'dart:io';
import 'dart:math';
import 'dart:typed_data';

import 'package:android_intent_plus/android_intent.dart';
import 'package:android_intent_plus/flag.dart';
import 'package:collection/collection.dart';
import 'package:flutter/material.dart';
import 'package:path_provider/path_provider.dart';
import 'package:xcommonwidgets/xcommonwidgets.dart';
import 'package:xfxbase/XBL/XAzureRest.dart';
import 'package:xfxbase/XFDataItem.dart';
import 'package:xfxbase/_XFX/XF_Col.dart';
import 'package:xfxbase/_XFX/XF_View.dart';
import 'package:xfxbase/xfxbase.dart';
import 'package:xtoolspackage/XLibStorage.dart';
import 'package:xtoolspackage/xtoolspackage.dart';

import 'XF_ELENCO/XElenco.dart';
import 'XTabItem.dart';

part 'XF_ELENCO/XElencoItem.dart';
part 'XF_SCHEDA/XfxSchedaTapped.dart';
part 'XF_SCHEDA/XfxScheda.dart';
part 'XfxUpdater.dart';

abstract class XEnumsMediaType {
  static Map<int, XEnumsDef> definitions = Map<int, XEnumsDef>();
  static int image = 0;
  static int audio = 1;
  static int video = 2;
  static int panoramica = 10;
  static int multiImage = 20;
  static void initDefinitions() {
    definitions[0] = XEnumsDef(value: 0, label: 'Image', backColor: Color.fromARGB(255, 0, 0, 0), textColor: Color.fromARGB(255, 0, 0, 0));
    definitions[1] = XEnumsDef(value: 1, label: 'Audio', backColor: Color.fromARGB(255, 0, 0, 0), textColor: Color.fromARGB(255, 0, 0, 0));
    definitions[2] = XEnumsDef(value: 2, label: 'Video', backColor: Color.fromARGB(255, 0, 0, 0), textColor: Color.fromARGB(255, 0, 0, 0));
    definitions[10] = XEnumsDef(value: 10, label: 'Panoramica', backColor: Color.fromARGB(255, 0, 0, 0), textColor: Color.fromARGB(255, 0, 0, 0));
    definitions[20] = XEnumsDef(value: 20, label: 'MultiImage', backColor: Color.fromARGB(255, 0, 0, 0), textColor: Color.fromARGB(255, 0, 0, 0));
  }
}
